# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::MotionCompensator_EighthPixel Class Reference

Eighth Pixel precision Motion compensator class.

`#include <mot_comp.h>`

Inheritance diagram for dirac::MotionCompensator_EighthPixel:

List of all members.

## Public Member Functions

- MotionCompensator_EighthPixel (const PicturePredParams &ppp)
    Constructor.

## Private Member Functions

- virtual void BlockPixelPred (TwoDArray< ValueType > &block_data, const ImageCoords &pos, const ImageCoords &orig_pic_size, const PicArray &refup_data, const MVector &mv)
    Motion-compensate a block.

## Constructor & Destructor Documentation

dirac::MotionCompensator_EighthPixel::MotionCompensator_EighthPixel | ( | const PicturePredParams & | ppp | ) |

Constructor initialises using codec parameters.

## Member Function Documentation

virtual void dirac::MotionCompensator_EighthPixel::BlockPixelPred | ( | TwoDArray< ValueType > & | block_data,
|  | const ImageCoords & | pos,
|  | const ImageCoords & | orig_pic_size,
|  | const PicArray & | refup_data,
|  | const MVector & | mv |
| ) |  |  | `[private, virtual]`

Implements dirac::MotionCompensator.

The documentation for this class was generated from the following file:

- mot_comp.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.